body{
    padding: 0;
    margin: 0;
    width: 100vw;
    height: 100vh;
    background: #6495ed;
    background-image: url(/asset/images/Anonymous-Mask-Desktop-Wallpaper-4k.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    display:grid;
    justify-content: center;
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    overflow-x: hidden;
}
header{
    display: grid;
    background: #000;
    width: 100vw;
    height: 12vh;
    transition: .8s ease-in-out;
    /* border-bottom: .1px solid #fff; */
    border-radius: 0px 0px 35px 35px;
    cursor: default;
}
.menu-icon{
    cursor: pointer;
    /* position: fixed; */
    z-index: 100;
}
.side-nav{
    height: 100%;
    width: 0;
    position: fixed;
    z-index: 1000;
    top: 0;
    right: 0;
    background: #000;
    overflow-x: hidden;
    transition: .8s ease-in-out;
    padding-top: 60px;
}
#link{
    padding: 10px 20px;
    text-decoration: none;
    font-size: 22px;
    color: #fff;
    display: block;
    transition: .5s ease-in-out;
}
.links{
    margin-top: 10vh;
}
#link:hover{
    background: #575757;
}
#logoutButton{
    padding: 10px 20px;
    text-decoration: none;
    font-size: 22px;
    color: #fff;
    display: block;
    transition: .5s ease-in-out;
}
#logoutButton:hover{
    background: #6495ed;
    color: #ff0000;
}
.close-btn{
    position: absolute;
    cursor: pointer;
    right: 0;
    color: #fff;
    margin-right: 10px;
    z-index: 100;
}
.name{
    display: flex;
    align-items: center;
    gap: 5px;
    justify-content: space-between;
    width: 95vw;
    place-self: center;
}
.first{
    display: flex;
    align-items: center;
    gap: 5px;
}
.first sub{
    color: #fff;
    font-size: x-small;
}
.name h1, sub{
   color: #6495ed;
}
#logo{
    font-size: x-large;
    position: relative;
    color: #fff;
}
#bars{
    color: #fff;
    position: relative;
    display: flex;
    font-size: x-large;
    cursor: pointer;
}
#bars:hover{
    transition: .8s ease-in-out;
    color: #6495ed;
    scale: 1.3;
}
/* --------------------------------------------------- */
section{
    width: 100vw;
    display: flex;
    align-items: center;
    justify-content: center;
}
form{
    background: transparent;
    display: grid;
    place-self: center;
    align-items: center;
    cursor: default;
    align-self: center;
    backdrop-filter: blur(25px);
    /* outline: 3px double #fff; */
    mix-blend-mode:hard-light;
    transition: .8s ease-in-out;
    border-radius: 40px 1px 40px 1px;
    width: 70vw;
    padding-bottom: 3vh;
}
form:hover{
    transition: .8s ease-in-out;
    border-radius: 40px;
    background-position: center;
    transform: translateY(-7vh);
    background-repeat: no-repeat;
}
.in{
    color: #6495ed;

}
.container{
    display: grid;
    place-self: center;
    align-items: center;
    justify-content: center;
    width: 60vw;
}
.text{
    width: 55vw;
    border: none;
    padding-left: 2vw;
    outline: .1px solid #000;
    height: 5vh;
    border-radius: 30px;
}
.text:hover{
    transition: .8s ease-in-out;
    outline: 1px solid #6495ed;
}
.gender{
    display: flex;
    width:20vw;
    justify-content: space-between;
    align-items: center;
}
.radio{
    accent-color: black;
    cursor: default;
}
.title-gender{
    color: #fff;
}
label{
    color: #fff;
    font-size: larger;
    font-weight: 600;
    padding-left: .5vw;
}
#male{
    color: #fff;
    font-weight: 300;
}
#female{
    color: #fff;
    font-weight: 300;
}
.m-element{
    padding-bottom: .5vh;
}
#mbox{
    height: 12vh;
    width: 55vw;
    border: none;
    border-radius: 10px;
    padding-left: 2vw;
    outline: .1px solid #000;
    
}
#mbox:hover{
    transition: .8s ease-in-out;
    outline: 1px solid #6495ed;
}
.btn{
    display: flex;
    justify-content: center;
    align-items: center;
    padding-top: 4vh;
}
#btn{
    background:transparent;
    width: 13vw;
    height: 5vh;
    outline: none;
    padding: 5px;
    border-radius: 20px;
    color: #fff;
    border: 3px double #fff;
    align-self: center;
    cursor: pointer;
}
.agree{
    display: flex;
    width: 10vw;
    padding-top: 1vh;
    justify-content: space-between;
}
b{
    color: #6495ed;
}
button{
    width: 160px;
    padding: 15px 0px;
    text-align: center;
    border-radius: 25px;
    font-weight: bold;
    border: 2px solid #fff;
    background: #000;
    color: #fff;
    cursor: pointer;
    position: relative;
    overflow: hidden;
    transition: .8s ease-in-out;
    z-index: 10;
   }
   button:hover{
    scale:1.3;
   }
   span{
    background: #6495ed;
    width: 0;
    height: 100%;
    border-radius: 25px;
    position: absolute;
    left: 0;
    bottom: 0;
    z-index: -1;
    transition: .5s;
   }
   button:hover span{
    width: 100%;
   }
#check{
    cursor: default;
    accent-color: #000;
}
.wrapper{
    position: absolute;
    border-radius: 10px;
    top: 50%;
    left: 11%;
    align-items: center;
    transform: translate(-50%, -50%);
    margin-top: -44vh;
}

@media(max-width:1024px){
    .wrapper{
        position: absolute;
        border-radius: 10px;
        top: 50%;
        left: 14%;
        align-items: center;
        transform: translate(-50%, -50%);
        margin-top: -44vh;
    }
}
@media(max-width:360px){
    .wrapper{
        position: absolute;
        border-radius: 10px;
        top: 50%;
        left: 18%;
        align-items: center;
        transform: translate(-50%, -50%);
        margin-top: -44vh;
    }
}
@media(max-width:853px){
    .wrapper{
        position: absolute;
        border-radius: 10px;
        top: 50%;
        left: 16%;
        align-items: center;
        transform: translate(-50%, -50%);
        margin-top: -44vh;
    }
}
@media(max-width:344px){
    .wrapper{
        position: absolute;
        border-radius: 10px;
        top: 50%;
        left: 20%;
        align-items: center;
        transform: translate(-50%, -50%);
        margin-top: -44vh;
    }
}
@media(max-width:390px){
    .wrapper{
        position: absolute;
        border-radius: 10px;
        top: 50%;
        left: 21%;
        align-items: center;
        transform: translate(-50%, -50%);
        margin-top: -44vh;
    }
}
@media(max-width:768px){
    .wrapper{
        position: absolute;
        border-radius: 10px;
        top: 50%;
        left: 18%;
        align-items: center;
        transform: translate(-50%, -50%);
        margin-top: -44vh;
    }
}
@media(max-width:820px){
    .wrapper{
        position: absolute;
        border-radius: 10px;
        top: 50%;
        left: 17%;
        align-items: center;
        transform: translate(-50%, -50%);
        margin-top: -44vh;
    }
}


@media(max-width:430px){
    .wrapper{
        position: absolute;
        border-radius: 10px;
        top: 50%;
        left: 30%;
        align-items: center;
        transform: translate(-50%, -50%);
        margin-top: -44vh;
    }
    .wrapper .h1{
        display: inline;
        color: transparent;
        text-transform: capitalize;
        background-image: linear-gradient(to left, #2ecc71, #3498db, #9b59b6, #f39c12);
        -webkit-background-clip: text;
        animation: animate 5s linear infinite;
        -webkit-background-size:500%;
        background-size: 500%;
    }
    
}
.wrapper .h1{
    display: inline;
    color: transparent;
    text-transform: capitalize;
    background-image: linear-gradient(to left, #2ecc71, #3498db, #9b59b6, #f39c12);
    -webkit-background-clip: text;
    animation: animate 5s linear infinite;
    -webkit-background-size:500%;
    background-size: 500%;
}
@keyframes animate{
    0%{background-position: 0 100%;}
    50%{background-position: 100% 0;}
    100%{background-position: 0 100%;}
}
.loader{
    border: 10px solid #d1d1d1;
    border-top: 10px solid #3e6ec9;
    border-radius: 50%;
    width: 30px;
    height: 30px;
    animation: spin .8s linear infinite;
    display: none;
    z-index: 1000;
    place-self: center;
    margin-top: 15vh;
    position: absolute;
}
@keyframes spin{
    0%{
        transform: rotate(0deg);
    }
    100%{
        transform: rotate(360deg);
    }
}
/* #bar{
    cursor: pointer;
    color: #fff;
    position: relative;
    display: flex;
    font-size: x-large;
    z-index: 10000;
    place-self: center;
    background: #575757;

}
#bar:hover{
    transition: .8s ease-in-out;
    color: #6495ed;
    scale: 1.3;  
}
.outbtn{
    display: flex;
    position: absolute;
    justify-self: center;
    align-items: center;
    margin-top: 80vh;
} */
.output{
    background: #000;
    width: 50vw;
    height: 33vh;
    border-radius: 40px 0px 40px 0px;
    justify-self: center;
    display: flex;
    align-items: center;
    display: none;
    /* animation-delay: .5s; */
    z-index: 10000;
    justify-content: center;
    border: .2px solid #fff;
    color: transparent;
    animation: animates 2s ease;
    position: absolute;
    margin-top: 33vh;
    padding: 0px 5px 0px 5px;
}
/* .outbtn{
    width: 100vw;
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    margin-top: 74vh;
    animation: animates 2s ease;
}
.outbtn a{
    text-decoration: none;
    color: #6495ed;
    position: relative;
    z-index: 10000;
    border: .1px solid #6495ed;
    background: #000;
    padding: 5px;
    animation: animates 3s ease;
    width:20px;
} */
@keyframes animates{
    0%{
        scale: 0;
    }
    /* 50%{
        scale: .5;
    } */
    100%{
        scale: 1;
    }
}